.block{
    margin-bottom: 51px;
    &__title{
        @include font(24px, 'Montserrat', var(--lang-color), 30px, 600);
        text-transform: uppercase;
        width: 372px;
        margin-right: 20px;
        margin-top: 15px;
    }
    &__buttons{
        &-wrapper{
            max-width: 100%;
            width: 100%;
            .swiper-slide{
                width: auto !important;
            }
            swiper-slide{
                width: auto !important;
            }
            .swiper-scrollbar{
                height: 9px !important;
                position: relative !important;
                background: var(--slider-slide);
                border-radius: 8px;
                margin-top: 42px;
                width: 100%;
                div{
                    border-radius: 8px;
                    background: $orange;
                }
            }
        }
        &-button{
            background: var(--sliderBackground);
            @include font(14px, 'Montserrat', var(--lang-color), 18px, 600);
            @include transition;
            padding: 23px 47px;
            text-transform: uppercase;
            border-radius: 17px;
            width: auto;
            display: block;
            &:not(:last-of-type){
                margin-right: 11px;
            }
            &:hover{
                background: $orange;
                color: white;
            }
        }
        &-scrollbar{
            height: 9px !important;
            background: var(--slider-slide);
            border-radius: 8px;
            top: 79px;
            position: absolute;
            right: 0;
            width: 100%;
            div{
                border-radius: 8px;
                background: $orange;
            }
        }
    }

    &__line{
        display: flex;
        margin-bottom: 41px;
        align-items: flex-start;
        position: relative;
    }

    &__content{
        @include grid(4, 1fr, 33px 15px);
        margin-bottom: 60px;
    }

    &__content2{
        @include grid(3, 1fr, 33px 15px);
        margin-bottom: 60px;
    }

    &__block{
        position: relative;
        width: 100%;
        height: 282px;
        max-height: 200px;
        border-radius: 8px;
        &-img{
            width: 100%;
            height: 100%;
            border-radius: 8px;
            object-fit: cover;
        }
        &-effect{
            position: absolute;
            height: 100%;
            width: 100%;
            @include TLa();
            border-radius: 8px;
            background: #0000009E;
            @include transition;
            opacity: 0;
        }
        &-button{
            position: absolute;
            @include abosluteCenter;
            padding: 13px 30px;
            text-transform: uppercase;
            @include font(15px, 'Montserrat', white, 19px, 600);
            background: #FF6B00;
            min-width: 233px;
            @include transition;
            opacity: 0;
        }
        &-title{
            @include font(20px, 'Montserrat', white, 25px, 700);
            padding: 23px 0;
            position: absolute;
            width: 100%;
            @include BLa(15px, 0);
            display: flex;
            justify-content: center;
            text-transform: uppercase;
            background: #00000061;
            backdrop-filter: blur(6px);
            @include transition;
        }
        &:hover{
            .block__block{
                &-effect,
                &-button{
                    opacity: 1;
                }
                &-title{
                    backdrop-filter: blur(0);
                    opacity: 0;
                }
            }
        }
    }

    &__button{
        padding: 14px 70px;
        text-transform: uppercase;
        @include font(15px, 'Montserrat', white, 19px, 600);
        &-wrapper{
            width: 100%;
            display: flex;
            justify-content: center;
        }
    }
}
